%define debug_package	%{nil}
%define	Objects_Home	/lime-kernel-objects-%{version}
%define	DIST		%(echo %{dist} | sed 's/\.//')
%define BaseName	lime-kernel-modules
%define ARCH		%(uname -m)
%define _binaries_in_noarch_packages_terminate_build 0

Summary:	This package contains all of the kernel objects for all of the kernels for Fedora 24 x86_64 for LiME

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		%{BaseName}-%{DIST}-%{ARCH}
Version:	1.1.r17
%define REL 47
Release:	%{REL}

License:	GP5

Group:		Applications/Forensics Tools
URL:		https://code.google.com/p/lime-forensics/
Source:		lime-forensics-%{version}.tar.gz

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildArch:	noarch

%description
This package provides kernel objects for Fedora 22 x86_64-based systems.

%prep
%setup -T -c

%build

%install
%{__install} -d %{buildroot}%{_datadir}/%{BaseName}-%{version}
cp -rp %{Objects_Home}/*%{DIST}.*%{ARCH}* %{buildroot}%{_datadir}/%{BaseName}-%{version}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%attr(744, root, root)	%{_datadir}/%{BaseName}-%{version}/*/*.ko

%changelog
* Mon Jul 31 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-47
* Release 1.1.r17-47
	Kernel modules were added for the following kernels:
		4.11.12-100

* Wed Jul 19 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-46
* Release 1.1.r17-46
	Kernel modules were added for the following kernels:
		4.11.10-100

* Wed Jul 12 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-45
* Release 1.1.r17-45
	Kernel modules were added for the following kernels:
		4.11.9-100

* Wed Jul  5 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-44
* Release 1.1.r17-44
	Kernel modules were added for the following kernels:
		4.11.8-100

* Tue Jun 27 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-43
* Release 1.1.r17-43
	Kernel modules were added for the following kernels:
		4.11.6-101

* Mon Jun 19 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-42
* Release 1.1.r17-42
	Kernel modules were added for the following kernels:
		4.11.5-100
		4.11.4-100

* Mon May 29 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-41
* Release 1.1.r17-41
	Kernel modules were added for the following kernels:
		4.10.17-100

* Wed May 24 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-40
* Release 1.1.r17-40
	Kernel modules were added for the following kernels:
		4.10.15-100
		4.10.16-100

* Fri May 19 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-39
* Release 1.1.r17-39
	Kernel modules were added for the following kernels:
		4.10.14-100

* Tue Apr 18 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-38
* Release 1.1.r17-38
	Kernel modules were added for the following kernels:
		4.10.10-100

* Mon Apr 17 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-37
* Release 1.1.r17-37
	Kernel modules were added for the following kernels:
		4.10.9-100

* Wed Apr  5 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-36
* Release 1.1.r17-36
	Kernel modules were added for the following kernels:
		4.10.8-100

* Mon Apr  3 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-35
* Release 1.1.r17-35
	Kernel modules were added for the following kernels:
		4.10.6-100

* Wed Mar 29 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-34
* Release 1.1.r17-34
	Kernel modules were added for the following kernels:
		4.9.17-100

* Mon Mar 13 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-33
* Release 1.1.r17-33
	Kernel modules were added for the following kernels:
		4.9.13-101

* Sat Mar  4 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-32
* Release 1.1.r17-32
	Kernel modules were added for the following kernels:
		4.9.13-100

* Tue Feb 28 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-31
* Release 1.1.r17-31
	Kernel modules were added for the following kernels:
		4.9.12-100

* Tue Feb 21 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-30
* Release 1.1.r17-30
	Kernel modules were added for the following kernels:
		4.9.10-100

* Tue Feb 14 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-29
* Release 1.1.r17-29
	Kernel modules were added for the following kernels:
		4.9.9-100

* Mon Feb 13 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-28
* Release 1.1.r17-28
	Kernel modules were added for the following kernels:
		4.9.8-100

* Wed Feb  8 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-27
* Release 1.1.r17-27
	Kernel modules were added for the following kernels:
		4.9.7-101

* Tue Jan 31 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-26
* Release 1.1.r17-26
	Kernel modules were added for the following kernels:
		4.9.6-100

* Wed Jan 25 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-25
* Release 1.1.r17-25
	Kernel modules were added for the following kernels:
		4.9.5-100

* Mon Jan 23 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-24
* Release 1.1.r17-24
	Kernel modules were added for the following kernels:
		4.9.4-100

* Mon Jan 16 2017 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-23
* Release 1.1.r17-23
	Kernel modules were added for the following kernels:
		4.8.16-200

* Tue Dec 27 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-22
* Release 1.1.r17-22
	Kernel modules were added for the following kernels:
		4.8.15-200

* Tue Dec 20 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-21
* Release 1.1.r17-21
	Kernel modules were added for the following kernels:
		4.8.14-200

* Wed Dec 14 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-20
* Release 1.1.r17-20
	Kernel modules were added for the following kernels:
		4.8.13-200

* Mon Dec 12 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-19
* Release 1.1.r17-19
	Kernel modules were added for the following kernels:
		4.8.12-200

* Wed Dec  7 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-18
* Release 1.1.r17-18
	Kernel modules were added for the following kernels:
		4.8.11-200

* Thu Dec  1 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-17
* Release 1.1.r17-17
	Kernel modules were added for the following kernels:
		4.8.10-200

* Mon Nov 21 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-16
* Release 1.1.r17-16
	Kernel modules were added for the following kernels:
		4.8.8-200
		4.8.7-200

* Tue Nov  8 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-15
* Release 1.1.r17-15
	Kernel modules were added for the following kernels:
		4.8.6-201

* Tue Nov  1 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-14
* Release 1.1.r17-14
	Kernel modules were added for the following kernels:
                4.8.4-200

* Mon Oct 24 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-13
* Release 1.1.r17-13
	Kernel modules were added for the following kernels:
                4.7.9-200

* Mon Oct 17 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-12
* Release 1.1.r17-12
	Kernel modules were added for the following kernels:
                4.7.7-200

* Mon Oct 10 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-11
* Release 1.1.r17-11
	Kernel modules were added for the following kernels:
                4.7.6-200

* Sun Oct  2 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-10
* Release 1.1.r17-10
	Kernel modules were added for the following kernels:
                4.7.5-200

* Fri Sep 23 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-9
* Release 1.1.r17-9
	Kernel modules were added for the following kernels:
                4.7.4-200

* Wed Sep 14 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-8
* Release 1.1.r17-8
	Kernel modules were added for the following kernels:
                4.7.3-200

* Tue Sep  6 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-7
* Release 1.1.r17-7
	Kernel modules were added for the following kernels:
                4.7.2-101

* Wed Aug 24 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-6
* Release 1.1.r17-6
	Kernel modules were added for the following kernels:
                4.6.7-300

* Tue Aug 16 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-5
* Release 1.1.r17-5
	Kernel modules were added for the following kernels:
                4.6.6-300

* Tue Aug  9 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-4
* Release 1.1.r17-4
	Kernel modules were added for the following kernels:
                4.6.5-300

* Wed Jul 20 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-3
* Release 1.1.r17-3
	Kernel modules were added for the following kernels:
                4.6.4-301

* Fri Jul  1 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-2
* Release 1.1.r17-2
	Kernel modules were added for the following kernels:
                4.6.3-300

* Wed Jun 28 2016 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-1
* Release 1.1.r17-1
	Initial release. Kernel modules were added for the following kernels:
		4.5.7-300
		4.5.5-300
